<?php
/*
Simple:Press
Admin Bar plugin install routine
$LastChangedDate: 2014-08-08 19:30:17 -0700 (Fri, 08 Aug 2014) $
$Rev: 11849 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_admin_bar_do_install() {
	global $spThisUser;

	$oldOptions = sp_get_option('sfadminsettings');
	$newOptions = sp_get_option('spAdminBar');
	if (!isset($oldOptions['sfqueue']) && empty($newOptions)) {
		$newOptions = array();
		$newOptions['dashboardposts'] = false;
        $newOptions['dbversion'] = SPABDBVERSION;
		sp_add_option('spAdminBar', $newOptions);

		$options = sp_get_member_item($spThisUser->ID, 'admin_options');
		$options['sfadminbar'] = true;
		sp_update_member_item($spThisUser->ID, 'admin_options', $options);
	} else if (empty($newOptions)) {
		$newOptions = array();
		$newOptions['dashboardposts'] = $oldOptions['sfdashboardposts'];
        $newOptions['dbversion'] = SPABDBVERSION;
		sp_add_option('spAdminBar', $newOptions);

		$options = sp_get_member_item($spThisUser->ID, 'admin_options');
		$options['sfadminbar'] = true;
		sp_update_member_item($spThisUser->ID, 'admin_options', $options);

        unset($oldOptions['sfqueue']);
        unset($oldOptions['sfmodasadmin']);
        unset($oldOptions['sfshowmodposts']);
        unset($oldOptions['sfbaronly']);
        unset($oldOptions['sfdashboardposts']);
    	sp_update_option('sfadminsettings', $oldOptions);
	}

    # permission for bypassing akismet checks
   	sp_add_auth('bypass_akismet', __('Can bypass akismet check on posts', 'spab'), 1, 0, 0, 0, 3);
    sp_activate_auth('bypass_akismet');

	# create new Akismet setting
	$akismet = sp_get_option('spAkismet');
	if (empty($akismet)) {
		sp_add_option('spAkismet', 1);
	}

 	# get auto update running
    $autoup = array('spabupdate', SFHOMEURL.'index.php?sp_ahah=admin-bar-update&amp;target=newposts');
	sp_add_sfmeta('autoupdate', 'admin', $autoup, 1);
}

# permissions reset
function sp_admin_bar_do_reset_permissions() {
   	sp_add_auth('bypass_akismet', __('Can bypass akismet check on posts', 'spab'), 1, 0, 0, 0, 3);
}

?>