<?php
/*
Simple:Press
Admin Bar plugin install/upgrade routine
$LastChangedDate: 2014-08-08 19:30:17 -0700 (Fri, 08 Aug 2014) $
$Rev: 11849 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_admin_bar_do_upgrade_check() {
    if (!sp_is_plugin_active('admin-bar/sp-admin-bar-plugin.php')) return;

    $options = sp_get_option('spAdminBar');

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPABDBVERSION ) return;

    # apply upgrades as needed
    if ($db < 1) {
        # empty since plugin did not used db on initial release
    }

    if ($db < 2) {
        # set autoload flag to true for autoupdates
    	$meta = sp_get_sfmeta('autoupdate', 'admin');
    	if (!empty($meta[0])) sp_update_sfmeta('autoupdate', 'admin', $meta[0]['meta_value'], $meta[0]['meta_id'], 1);
    }

    if ($db < 3) {
        # permission for bypassing akismet checks
    	sp_add_auth('bypass_akismet', __('Can bypass akismet check on posts', 'spab'), 1, 0, 0, 0, 3);
        sp_activate_auth('bypass_akismet');
    }

    # save data
    $options['dbversion'] = SPABDBVERSION;
    sp_update_option('spAdminBar', $options);
}

?>